Subject: Re: [net-next v3 05/15] net: cavium/liquidio: Convert tasklet API to new bottom half workqueue mechanism

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Aug 2024 07:37:52 -0700

On Tue, 6 Aug 2024 20:15:50 -0700 Allen wrote:
> In the context of of the driver, the conversion from tasklet_enable()
> to enable_and_queue_work() is correct because the callback function
> associated with the work item is designed to be safe even if there
> is no immediate work to process. The callback function can handle
> being invoked in such situations without causing errors or undesirable
> behavior. This makes the workqueue approach a suitable and safe
> replacement for the current tasklet mechanism, as it provides the
> necessary flexibility and ensures that the work item is properly
> scheduled and executed.

Fewer words, clearer indication that you read the code would be better
for the reviewer. Like actually call out what in the code makes it safe.

Just to be clear -- conversions to enable_and_queue_work() will require
manual inspection in every case.